Bug 1887375 - User should be able to specify volumeMode when creating pvc from web-console
Summary: User should be able to specify volumeMode when creating pvc from web-console
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.0
Assignee: Joe Caiani
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-12 09:56 UTC by Wei Duan
Modified: 2021-02-24 15:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:24:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
2020-10-12 14-11-43 (83.27 KB, image/png)
2020-10-12 09:56 UTC, Wei Duan
no flags Details
volumeMode (160.70 KB, application/zip)
2020-10-12 10:02 UTC, Wei Duan
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6902 0 None closed Bug 1887380: Add additional provisioners to their AccessMode mapping 2020-10-19 20:45:24 UTC
Github openshift console pull 6912 0 None closed Bug 1887375: Add volumeMode to the create form and yaml of a pvc 2020-10-19 20:45:36 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:25:28 UTC

Description Wei Duan 2020-10-12 09:56:52 UTC
Created attachment 1720895 [details]
2020-10-12 14-11-43

Description of problem:
When creating a pvc from web-console, in the config page, there is no spec.volumeMode to specify, also there is no this parameter when click "Edit YAML" page. This is an important parameter if user need a block volume (default value is "Filesystem"), and now it is no friendly to user.
Please add this in pvc creation, we can use "Filesystem" as default value.

Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-10-10-041109

How reproducible:
Always

Steps to Reproduce:
See attachment

Actual results:
There is no spec.volumeMode to specify when creating pvc from web-console

Expected results:
The volumeMode could be specified when creating pvc from web-console

Comment 1 Wei Duan 2020-10-12 10:02:20 UTC
Created attachment 1720898 [details]
volumeMode

Comment 3 Yadan Pei 2020-10-21 08:37:12 UTC
1. on Create Persistent Volume Claim page, we can see `Volume Mode` selection with values `Filesystem` and `Block` 
2. in the default PVC YAML, we now show 'volumeMode' fields with default value 'Filesystem'
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: example
  namespace: yapei47
spec:
  accessModes:
    - ReadWriteOnce
  volumeMode: Filesystem
  resources:
    requests:
      storage: 1Gi

This is checked against 4.7.0-0.nightly-2020-10-21-001511, moving to VERIFIED

Comment 6 errata-xmlrpc 2021-02-24 15:24:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.